Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Jochen Friedrich <[email-masked]>
Date: Thu, 05 Jun 2008 17:44:17 +0200

Hi Timur,

> In situations where it doesn't matter which I2C bus is #1 and which one is #2,
> then I think the code should just initialize idx based on the order the nodes
> are found in the tree.
> 
> In situations where it does matter, then we should use cell-index.

that's what I did in i2c-cpm, as well. However, here I use the property
"linux,i2c-index" instead (see http://patchwork.ozlabs.org/linuxppc/patch?id=18603).

Thanks,
Jochen